Documentation Center

Fetch Language Configuration Item

Fetches the requested configuration item for the specified language of the specified publication.

Request will fail and return the 404 result model if any of the publication configuration items do not exist, or if the publication is hidden and the user does not have permission to access hidden publications.

Request

URI: /v2/content/{pub}/{lang}/config/{item_name}

HTTP Method: GET

Header params:
  • Accept: [application/json] OR [application/xml]
PATH Parameter(s):
  • pub: publication ID
  • lang: publication language
  • item_name: publication language item name

Response

Success
  • XML: <configitem name="title" value="Content Delivery Documentation"/>
  • JSON: {"name":"title", "value":"Content Delivery Documentation"}
Failed
  • XML: <result message="The requested configuration item does not exist." messageKey="pubs.config.nonexist" status="FAIL" statusCode="404"/>
  • JSON: {"statusCode":404, "messageKey":"pubs.config.nonexist", "message":"The requested configuration item does not exist.", "status":"FAIL", "info":[]}

Permissions

"Use application"

Example

Request:

GET http://example.corp:8080/LiveContent/v2/content/LiveContentDoc/en/config/shortdesc

Accept: application/xml

Response:

<configitem name="shortdesc" value="This publication covers installation, maintenance and usage of the API used in Content Delivery"/>